pymatgen (2024.1.27+dfsg1-3) unstable; urgency=medium

  * update failing tests to skip
    - add powerpc to BAD_VASP_ARCH_LIST with s390x hppa ppc64
    - i386: test_numerical_eoswrapper
    - hppa: test_cohp
    - powerpc: test_pmg_structure
  * pytest -v not -vv in debian/tests (test-pymatgen)
  * new version works with pandas 2. Closes: #1053939.

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Feb 2024 19:18:44 +0100

pymatgen (2024.1.27+dfsg1-2) experimental; urgency=medium

  * provide PATH to scripts (pmg) during build-time tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Feb 2024 11:03:03 +0100

pymatgen (2024.1.27+dfsg1-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Use sphinx-build to generate docs
  * add debian/salsa-ci.yml (thanks Andreas Tille)
  * Rules-Requires-Root: no (routine-update, Andreas Tille)
  * Exclude sphinx_markdown_builder extension

  [ Drew Parsons ]
  * New upstream release
    - update Build-Depends: python3-joblib (new)
      python3-numpy (>= 1.25.0~),
      python3-h5py (>= 3.8.0~),
    - tests now located in separate tests dir
    - applies or deprecates debian patches:
      skip_failing_WulffShapeTest.patch
      docs_no_local_python.patch
      openbabel_OBAlign.patch
      no_mp_api_emmet.patch
      remove_monty_unicode2str_a8199919.diff
      test_raise_match.patch
  * update debian/copyright
    - docs now buildable, don't exclude
    - excluded test files moved to tests/files
  * update versioned Build-Depends: pymatgen-test-files (>= 2024.1.27~)
    and test file path
  * update debian patch no_mp_api_emmet.patch to stop handling matproj
    (which may not be available) in util/testing.py
  * add debian patches
    - tests_init.patch adds __init__.py to tests dir.
      Required so pytest can import tests.
    - tests_pass_or_skip.patch fixes broken tests
    - docs_index.patch puts content into index.rst
      (copies pymatgen.rst)
  * run pytest with --import-mode=prepend (build-time tests only)
  * skip SeeK tests in io/pwmat/test_inputs.py (TestGenKpt,
    TestHighSymmetryPoint) since SeeK is not available
  * update docs privacy fixes: don't remove google-analytics.com or
    replace svg badges (since they are no longer injected into docs)
  * skip test_get_parchg on loong64. Closes: #1061545.

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Feb 2024 02:03:39 +0100

pymatgen (2023.06.23+dfsg1-4) unstable; urgency=medium

  * debian/tests: skip test_rotor_search_wrs, which is slow and
    sometimes times out. Closes: #1058662.
  * python3-pymatgen Depends: python3-spglib (>= 2.0.2~)
    (spglib is not identified by dh_python3, Bug#1061357)
  * python3-pymatgen Recommends: python3-ase (>= 3.22.1~)
    (optional dependency)

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Jan 2024 00:40:19 +0100

pymatgen (2023.06.23+dfsg1-3) unstable; urgency=medium

  * add debian patches
    - remove_monty_unicode2str_a8199919.diff applies upstream commit
      a8199919 to remove usage of deprecated unicode2str function from
      monty. Closes: #1058040.
    - skip_test_zsl.patch skips test_zsl in numba is available, since
      it is incompatible with current numba
  * delete generated files after dh_auto_clean. Closes: #1045877.
  * Build-Depends: cython3-legacy. Closes: #1056841.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jan 2024 01:39:27 +0100

pymatgen (2023.06.23+dfsg1-2) unstable; urgency=medium

  * mips64el: skip test_from_diff_fit in test_elastic.py
    cf. https://github.com/materialsproject/pymatgen/issues/3112
  * skip VASP tests (and others) on hppa, same as s390x, ppc64

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Jun 2023 13:47:17 +0200

pymatgen (2023.06.23+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - fixes floating point tests that failed on i386
      (see upstream Issue#3087)
  * CVE-2022-42964: add debian patch
    CVE-2022-42964_ReDOS_vulnerability.patch to apply a patch suggested
    in upstream Issue#2755 to resolve a Regular Expression Denial of
    Service. Closes: #1024017.
  * Build-Depends: python3-frozendict
  * Versioned Depends: python3-mp-api (>= 0.27.3~)
  * update debian patch skip_failing_WulffShapeTest.patch to skip
    tests using pytest not unittest
  * debian patch test_raise_match.patch aligns string of ValueError,
    see upstream Issue#3106.
  * skip MoleculeMatcherTest.test_fit in test_molecule_matcher.py
    which fails for some reason ("arg 2 is double")

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jun 2023 23:46:20 +0200

pymatgen (2023.05.31+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch test_fp_comparison.patch
  * skip analysis fragmenter test
    test_babel_PC_with_RO_depth_0_vs_depth_10
    (see https://github.com/materialsproject/pymatgen/issues/3078)
  * rename debian patch no_mp_api.patch as no_mp_api_emmet.patch
    to add emmet.core handling in util/tests/test_graph_hashing.py
    - add Depends: python3-emmet-core to debian/tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Jun 2023 13:04:02 +0200

pymatgen (2023.2.22+dfsg1-4) experimental; urgency=medium

  * debian/control: drop Testsuite: autopkgtest-pkg-python
    (it is redundant since debian/tests is used, and makes debci logs
     harder to read)
  * ppc64el: skip test_numerical_eoswrapper

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Mar 2023 12:16:30 +0100

pymatgen (2023.2.22+dfsg1-3) experimental; urgency=medium

  * mips64el: skip VASP test_standard
  * s390x, ppc64: skip test_process_parsed_HESS

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Mar 2023 00:04:04 +0100

pymatgen (2023.2.22+dfsg1-2) experimental; urgency=medium

  * debian patch test_fp_comparison.patch fixes
    test_get_dos_fp_similarity in test_dos.py to use floating point
    comparison. See upstream Issue#2866.

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Feb 2023 13:17:02 +0100

pymatgen (2023.2.22+dfsg1-1) experimental; urgency=medium

  * New upstream release
    - applies debian patches,
      fix_phonon_bandstructures_7ba41e0.patch
      numpy_1.24.patch
      stress_fp_approx_2839.patch
      test_lammps_sorted.patch
      test_piezo_4538090.patch
      test_piezo_sensitivity_99b5cd7.patch
    - update versioned Build-Depends
      python3-ruamel.yaml (>= 0.17.0~),
      python3-ase (>= 3.22.1~),
      python3-netcdf4 (>= 1.5.8~)
    - Build-Depends: pymatgen-test-files (>= 2023.2.22~)
      (electronic_structure test_plotter.py needs SrBa2Sn2O7.json)
  * skip failing tests
    - BSDOSPlotterTest (times out)
    - test_cdft_dc_parsing (requires write permissions)
  * rename debian patch docs_mathjax_local.patch as
    docs_libjs_local.patch and add local reference to jquery.min.js
  * test_get_structure_by_id requires internet
    (www.crystallography.net), so skip at build time and run
    separately in test-pymatgen-net from debian/tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Feb 2023 11:54:27 +0100

pymatgen (2022.11.7+dfsg1-11) unstable; urgency=medium

  * debian/tests: run tests verbose to help identify tests that timeout
  * debian/tests: skip test_rotor_search_rrs (not test_localopt) from
    test_babel.py. "7th item" for #1031705 was incorrectly identified.

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Feb 2023 14:09:26 +0100

pymatgen (2022.11.7+dfsg1-10) unstable; urgency=medium

  * debian/tests: skip test_localopt from io test_babel.py, which
    intermittently times out. Closes: #1031705.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Feb 2023 14:07:46 +0100

pymatgen (2022.11.7+dfsg1-9) unstable; urgency=medium

  * hurd-i386: skip failing build tests, test_pca
    test_get_info_cohps_to_neighbors test_get_parchg
    test_as_dict_from_dict test_ir_spectra
  * clean .c files generated from .pyx

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 00:33:10 +0100

pymatgen (2022.11.7+dfsg1-8) unstable; urgency=medium

  * debian patch stress_fp_approx_2839.patch fixes floating point
    comparison in test_stress.py for hurd-i386.
    See https://github.com/materialsproject/pymatgen/issues/2839
  * resolve pymatgen/mp_api circular dependency by removing
    python3-mp-api from Build-Depends and set
    python3-pymatgen Recommends: python3-mp-api instead of Depends:
    Skip build-time test_matproj.py (mp_api is only used by
    ext/matproj.py) and add Depends: python3-mp-api to debian/tests.
    In practice the matproj tests are skipped anyway since an MP API
    key is not available.
    - reinstate debian patch no_mp_api.patch to enable tests to run
      without mp_api

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Feb 2023 11:49:16 +0100

pymatgen (2022.11.7+dfsg1-7) unstable; urgency=medium

  * skip failing tests
    - s390x, ppc64: test__generate_nbmax test_evaluate_wavefunc
      test_fft_mesh_advanced test_fft_mesh_basic test_get_parchg
      test_n2_45210 test_n2_spin test_standard test_write_unks
      test_consistency (tests from io/vasp)
    - hurd-i386: skip all plot tests (matplotlib on hurd fails with
      _tkinter.TclError: no display name and no $DISPLAY environment
      variable

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Feb 2023 17:07:44 +0100

pymatgen (2022.11.7+dfsg1-6) unstable; urgency=medium

  * skip failing tests
    - s390x, ppc64: skip test__generate_G_points
    - hurd-i386: test_plot
  * debian/tests: ease maintenance by only skipping run-time tests on
    debci-tested arches (release arches and riscv64)

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Feb 2023 11:54:37 +0100

pymatgen (2022.11.7+dfsg1-5) unstable; urgency=medium

  * skip failing build tests
    - s390x, ppc64: test_optics
    - hurd-i386: test_pca

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Feb 2023 09:32:07 +0100

pymatgen (2022.11.7+dfsg1-4) unstable; urgency=medium

  * skip failing tests
    - mips64el: test_pca
    - s390x, ppc64: test_from_file
    - hurd-i386: test_get_plot

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Feb 2023 11:35:19 +0100

pymatgen (2022.11.7+dfsg1-3) unstable; urgency=medium

  * skip failing tests
    - arm64, i386, ppc64el, riscv64: test_get_parchg
    - s390x, ppc64: test_spillage_from_vasprun
    - hurd-i386: test_structure_environments
  * Build-Depends:  python3-mp-api
    - drop debian/patches/no_mp_api.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2023 20:01:01 +0100

pymatgen (2022.11.7+dfsg1-2) unstable; urgency=medium

  * add debian patches
    - numpy_1.24.patch replaces deprecated (dropped) numpy.int with int
      and np.complex with complex
    - no_mp_api.patch uses MPResterLegacy if mp_api is not available
    - test_piezo_4538090.patch applies upstream commit 4538090
    - test_piezo_sensitivity_99b5cd7.patch applies upstream commit
      99b5cd7 to fix test_piezo_sensitivity
    - openbabel_OBAlign.patch fixes path to openbabel
    - test_lammps_sorted.patch fixes api accessing properties of
      lammps data objects
    - skip_nonfree_testfile.patch skips test_CifParserSpringerPauling,
      since non-free PF*.cif test files are not available
    - fix_phonon_bandstructures_7ba41e0.patch applies upstream commit
      7ba41e0 to fix handling of data structures in phonon
      bandstructures
  * pymatgen-test-files is now available, activate build-time and
    run-time tests
  * io/qchem is partly broken, skip failing tests:
    - input: test_from_multi_jobs_file test_from_string
      test_read_molecule test_read_nbo test_read_negative
      test_read_plots test_read_write_nbo7
    - output: test_all test_custom_smd_write
    - test_sets.py (all)
  * skip io tests that fail in chroot:
    test_CifWriter test_read_write test_init test_get_site_symmetries
  * Standards-Version: 4.6.2
  * use dh-sequences for python3 and sphinxdoc and the make doc build
    conditional (arch-indep build only)

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2023 01:22:16 +0100

pymatgen (2022.11.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies/deprecates debian patches test_h5py_byte_string.patch
      and test_no_internet.patch
    - Build-Depends: cython3, python3-spglib (>= 2.0.2~)
    - Build-Depends: pybuild-plugin-pyproject to use pyproject.toml
    - supports python 3.11 (Closes: #1024075)
  * drop debian patch skip_tests.patch (tests now fixed)
  * mark python-pymatgen-doc as Multi-Arch: foreign
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Nov 2022 00:25:13 +0100

pymatgen (2022.0.17+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - fixes BSPlotterProjectedTest tests. Closes: #1000419.
  * exclude test_files in debian/copyright
    (they are now included in the new pymatgen-test-files package)
    - drop debian patch run_test_local_path.patch
  * skip tests until the pymatgen-test-file package becomes available
  * debian patch docs_mathjax_local.patch configures docs to use local
    mathjax (see Bug#989649)
  * debian/copyright: list detailed authors for
    docs_rst/_static/team-map.html (a blend of functions from different
    projects, all MIT licensed)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Dec 2021 18:28:48 +0100

pymatgen (2022.0.16+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: python3-phonopy. Closes: 1000432.
  * update debian patch skip_tests.patch to skip
    BSPlotterProjectedTest in electronic_structure test_plotter.py
    (incompatible with matplotlib 3.5). See Bug#1000419.

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Nov 2021 15:02:21 +0100

pymatgen (2022.0.14+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches install_data_files.patch and
      use_TEST_FILES_DIR.patch
  * update versioned Build-Depends: python3-numpy (>= 1.20.1~),
      python3-monty (>= 3.0.2~),
      python3-matplotlib (>= 1.5~),
      python3-palettable (>= 3.1.1~),
      python3-spglib (>= 1.9.9.44~),
      python3-networkx (>= 2.2~),
      python3-plotly (>= 4.5.0~),
      python3-ase (>= 3.3~)
  * debian/rules: remove deprecated replacement of mathjax url
  * only build docs in arch-independent build
  * Build-Depends: python3-openbabel (optional supported package)
    python3-pymatgen Recommends: python3-openbabel

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Oct 2021 01:15:42 +0200

pymatgen (2022.0.11+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches drop_feff_input_generation_f67cf7a.patch,
      skip_phonopy_tests.patch, test_filename_MoS.patch
    - docs no longer use badge-analysis.svg, badge-main.svg
    - docs use official ORCID-iD 32x32 logo (orcid.svg),
      licensed under Creative Commons CC0 1.0 Universal licence
  * Standards-Version: 4.6.0
  * use triple-slash for mathjax reference in docs
  * run build-time tests using pytest-3, with PMG_TEST_FILES_DIR
    pointing at toplevel test_files
  * update debian patch test_no_internet.patch to catch Exceptions
    (ConnectionError) if internet is not available
  * add debian patches
    - use_TEST_FILES_DIR.patch fixes tests to use TEST_FILES_DIR
    - install_data_files.patch installs missing data files
      (analysis/solar/am1.5G.dat, io/lammps/templates/md.txt)
    - skip_tests.patch skips tests (or code) that inappropriately
      triggers failures
  * image files in debian/images have been created by Drew Parsons
    using inkscape to serve in place of github image files for the
    purpose of preserving privacy in locally installed documentation
    Licenced under the MIT licence used for the rest of the debian dir
    (and the pymatgen project)
  * add debian/tests (autopkgtest)
  * run tests strictly with pytest-3. "python3.9 -m pytest" fails.
  * update debian patch test_no_internet.patch to test connection to
    aiida.materialscloud.org in test_optimade.py

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Aug 2021 09:59:25 +0200

pymatgen (2020.12.18+dfsg2-1) unstable; urgency=medium

  * Initial release (Closes: #962268)
  * copy test input files for running tests
  * add debian patches:
    - test_filename_MoS.patch identifies test file as
      MoS2_single.pdf not MOS2_single.pdf
    - skip_failing_WulffShapeTest.patch skips test_get_plotly to avoid
      index error in WulffShapeTest (test_wulff.py), see
      https://github.com/materialsproject/pymatgen/issues/2023
    - test_no_internet.patch skips tests requiring an internet
      connection (forbidden by Debian policy for privacy reasons)
    - skip_phonopy_tests.patch skips TestPhonopyFromForceConstants if
      phonopy is not present
    - test_h5py_byte_string.patch treats h5py string data as byte
      arrays (for h5py v3)
    - docs_no_local_python.patch removes local source dirs from python
      system path when building docs
    - drop_feff_input_generation_f67cf7a.patch applies upstream commit
      f67cf7a to drop the feff_input_generation executable script
    - run_test_local_path.patch accesses Vasp test file using full path
      to enable the test to be launched from other directories
    - test_lammps_regex_path.patch escapes '+' in path used to find
      lammps test files (e.g. with DFSG version "+dfsg2" in path)
  * man pages generated using help2man
  * remote image files used in docs have been predownloaded into
    debian/images and installed in html/_images to avoid privacy
    breaches in online documentation.

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Dec 2020 21:17:19 +1100
